WM 6.0 is now available for Samsung BlackJack


Finally it is out, unfortunately you need to update your BJ from Windows XP or Windows 2000 as the updater executable is not compatible with Vista!


 http://www.samsung.com/us/i607/windowsupgrade


 


 

Comments (1)

  1. Keith says:

    I’d be curious to know if the Vista restriction is real or not. UT Starcomm said the same thing about updating WM5 to AKU 3.1, but WMDC in Vista can work with it as long as the firewall is off (oddly the WM port being open wasn’t working) and the mobile device is disconnected from wireless LAN